const app = getApp()
var host = app.globalData.debug ? 'http://120.79.211.173:7900' : 'https://brain.xsbanruo.com'

module.exports = {
  host: host,
  //测试支付
  testPay: '/bnl/pay/wx/test/v1',
  //登录
  login: '/bnl/user/sign/v1',
  //获取用户信息
  get_user_info: '/bnl/user/get/v1',
  //脑力加油站
  receive_cell: '/bnl/user/receive_cell/v1',
  //房间列表
  get_room_list: '/bnl/game/room/list/v1',
  //进入房间
  entry_room: '/bnl/game/room/play/v1',
  //查询房间信息
  get_room_info: '/bnl/game/room/get/v1',
  //查询房间动态信息
  get_room_dynamic_info: '/bnl/game/room/dynamic/v1',
  //查询题目
  get_room_question: '/bnl/game/room/question/v1',
  //回答
  get_room_answer: '/bnl/game/room/answer/v1',
  //获取排行榜
  get_room_ranking: '/bnl/game/room/rank/v1',
  //获取我的世界排行
  get_my_ranking: '/bnl/game/rank/my_rank/v1',
  //获取房间结果
  get_room_result: '/bnl/game/room/result/v1',
  //获取房间奖励排行榜
  get_room_bonus_ranking: '/bnl/game/room/allrank/v1',
  //充值下单
  recharge: '/bnl/order/recharge_cell/v1',
  //微信下单
  unified: '/bnl/pay/wx/unified/v1',
  //绑定手机
  bind_phone: '/bnl/user/bind_phone/v1',
  //钱包数据
  wallet: '/bnl/wallet/get/v1',
  //提现
  withdraw: '/bnl/wallet/add_withdraw/v1',
  //提现记录
  withdraw_list: '/bnl/wallet/list_withdraw/v1',
  //分享回调
  share: '/bnl/user/shared/v1',
  //随机题目
  question_random: '/bnl/question/random/v1',
  //开房间
  build_room: '/bnl/game/room/build/v1',
  //开房间下单
  build_room_order: '/bnl/order/recharge_room/v1',
  //微信下单
  wx_query: '/bnl/pay/wx/query/v1',
  //参加排位赛
  join_fragments: '/bnl/game/rank/play/v1',
  //世界排行
  all_fragments_record: '/bnl/game/rank/world_rank/list/v1',
  //好友排行
  friends_fragments_record: '/bnl/game/rank/friend_rank/list/v1',
  //加入群排行
  join_group_record: '/bnl/game/rank/group_user/add/v1',
  //群排行
  group_record: '/bnl/game/rank/group_rank/list/v1',
  //生成好友PK房间
  rebuild_pk: '/bnl/game/pk/replay/v1',
  //重新构建好友PK房间
  build_pk: '/bnl/game/pk/play/v1',
  //加入好友PK房间
  join_pk: '/bnl/game/pk/join/v1',
  //离开好友PK房间
  leave_pk: '/bnl/game/pk/leave/v1',
  //等待好友加入PK房间
  try_pk: '/bnl/game/pk/try/v1',
  //等待好友加入PK房间
  pk_question: '/bnl/game/pk/question/v1',
  //等待好友加入PK房间
  pk_answer: '/bnl/game/pk/answer/v1',
  //查询对手结果
  pk_other_answer: '/bnl/game/pk/other/answer/v1',
  //查询结果
  pk_result: '/bnl/game/pk/result/v1',
  //查询结果
  get_rank: '/bnl/game/rank/get/v1',
  //更换单个问题
  change_question: '/bnl/question/change/v1',
}